* {
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  font-family: "Lato", sans-serif;
  user-select: none;
}

body {
  align-items: center;
  display: flex;
  line-height: 1.4;
  margin: 0;
  overflow: hidden;
  background: #000000;
}

svg {
  display: block;
  max-height: 100vh;
  width: auto;
  overflow: visible;
  margin: 0 auto;
  /* shape-rendering: crispEdges;
    vertical-align: middle; */
}

button {
  user-select: none;
}

svg text {
  font-size: 21px;
  fill: white;
}

text,
rect {
  text-anchor: middle;
  dominant-baseline: middle;
}

:root {
  --editor-bg: rgb(27, 27, 27);
  --editor-border: rgb(65, 65, 65);
  --editor-primary-btn: rgb(68, 68, 68);
  --editor-text: rgb(231, 231, 231);
  --editor-primary-btn-hover: rgb(65, 65, 65);
  --editor-info: rgb(15, 15, 15);
}

#canvas {
  background: rgb(36, 36, 36);
}

#canvas {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.message {
  text-anchor: start;
  font-size: 17px;
  fill: rgb(140, 140, 140);
}

#ui {
  display: block;
  z-index: 9;
  /* overflow: hidden; */
}

.panel {
  display: none;
  width: 100px;
  height: 300px;
  transform: translate(50%, 50%);
}

#title {
  font-size: 90px;
  font-weight: 700;
  letter-spacing: 3px;
}

.items {
  font-size: 21px;
  transition: 0.27s;
  font-weight: 900;
  letter-spacing: 1px;
  opacity: 0.5;
}

.items.selected {
  font-size: 27px;
  fill: red;
  opacity: 1;
}

/* EDITOR */
.editor {
  z-index: 99;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 1;
  pointer-events: all;
}

.editor.hide {
  opacity: 0;
  pointer-events: none;
}

#editor-top {
  position: absolute;
  top: 0;
  width: calc(100% - 230px);
  height: 45px;
  line-height: 42px;
  padding-left: 7px;
  border-bottom: 1px solid var(--editor-border);
  background: var(--editor-bg);
}

#editor-top button {
  cursor: pointer;
  border: none;
  font-size: 17px;
  padding: 5px 10px;
}

#editor-top-content {
  float: right;
  margin-right: 5px;
  height: 43px;
  line-height: 43px;
}

.editor-btn {
  color: var(--editor-text);
  border-radius: 4px;
  margin: 0 2px;
  background: var(--editor-primary-btn);
}

.editor-btn:hover {
  background: var(--editor-primary-btn-hover);
}

#playing {
  display: inline-block;
  padding: 0 15px;
  line-height: 35px;
  font-weight: bold;
  background: rgb(5, 121, 5);
}

#playing.active {
  background: rgb(187, 14, 14);
}

#close {
  display: inline-block;
  position: relative;
  padding: 0 15px;
  line-height: 35px;
  font-weight: bold;
  background: rgb(128, 32, 32);
}

#close:hover {
  background: rgb(255, 0, 0);
}

#editor-right {
  float: right;
  bottom: 0px;
  width: 230px;
  height: 100%;
  border-left: 1px solid var(--editor-border);
  background: var(--editor-bg);
}

.scene-objects-title {
  text-align: center;
  height: 30px;
  font-size: 18px;
  line-height: 30px;
  font-weight: bold;
  background: white;
}

.space-top {
  margin-top: 10px;
}

#scene-object-scroll {
  position: relative;
  height: calc(100% - 215px);
  padding-bottom: 5px;
  overflow-y: auto;
  overflow-x: hidden;
}

.scene-objects-title-second {
  text-align: center;
  margin: 5px;
  height: 30px;
  font-size: 15px;
  line-height: 30px;
  font-weight: bold;
  margin-bottom: 10px;
  color: white;
  background: rgba(0, 119, 255, 0.8);
}

.scene-objects-title-main-sub {
  color: var(--editor-text);
  padding: 5px;
  margin: 10px;
  border-bottom: 2px solid var(--editor-text);
}

.scene-objects-desc {
  padding-left: 20px;
  color: white;
  font-size: 14px;
}

.scene-objects-title-sub {
  width: calc(100% - 36px);
  padding: 7px 9px;
  margin: 7px 19px;
  color: var(--editor-text);
  border-radius: 5px;
  border: 1px solid rgb(52, 52, 52);
  height: 35px;
  font-size: 17px;
  opacity: 1;
  background: var(--editor-info);
}

.scene-objects-title-sub:disabled {
  opacity: 0.35;
}

.scene-objects-items {
  display: flex;
  justify-content: space-between;
  width: calc(100% - 10px);
  margin: 5px;
  padding: 4px 8px;
  border-radius: 3px;
  color: var(--editor-text);
  /* background: var(--editor-info); */
}

#btn-delete-obj {
  cursor: pointer;
  width: calc(100% - 36px);
  margin: 0 18px;
  border: none;
  color: white;
  padding: 8px 0;
  border-radius: 4px;
  font-size: 15px;
  pointer-events: all;
  opacity: 1;
  background: rgb(132, 30, 30);
}

#btn-delete-obj:disabled {
  pointer-events: none;
  opacity: 0.35;
}

#btn-delete-obj:hover {
  background: rgb(251, 0, 0);
}

#editMode {
  position: absolute;
  right: 0;
  bottom: 0;
  width: 228px;
  padding: 7px;
  text-align: center;
  font-weight: bold;
  color: white;
}

.editor-popup {
  display: none;
  z-index: 999;
  position: absolute;
  width: 350px;
  height: auto;
  max-height: 500px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2px solid rgb(255, 255, 255);
  background: var(--editor-bg);
}

.editor-popup-title {
  position: relative;
  top: -1px;
  text-align: center;
  color: white;
  font-size: 16px;
  font-weight: bold;
  color: black;
  line-height: 30px;
  border-bottom: 1px solid white;
  background: white;
}

#btn-close-add-object {
  color: white;
  position: relative;
  top: 1px;
  width: 30px;
  height: 30px;
  float: right;
  background: red;
}

#add-object-item-wrapper {
  padding: 15px;
}

.add-object-items {
  margin: 5px 0;
  width: 100%;
  height: 45px;
  font-size: 17px;
  border: 0px;
  border-radius: 8px;
  color: var(--editor-text);
  background: var(--editor-primary-btn);
}

.add-object-items:hover {
  border: 3px solid rgb(0, 178, 248);
}

#close-message {
  color: white;
  font-weight: 400;
}

#ui-export {
  width: 500px !important;
}

#ui-export-message {
  text-align: center;
  font-weight: bold;
  padding: 5px 0 10px 0;
  color: rgb(197, 44, 44);
}

#ui-export-scroll {
  max-height: 400px;
  overflow: auto;
}

#ui-export-text {
  user-select: all;
  margin: 10px;
  padding: 5px;
  border-radius: 5px;
  color: rgb(212, 212, 212);
}

#ui-export-text:hover {
  background: rgb(44, 44, 44);
}

#btn-close-export {
  color: white;
  position: relative;
  top: 1px;
  width: 30px;
  height: 30px;
  float: right;
  background: red;
}

.editor-notes {
  width: 100%;
  text-align: center;
  font-size: 14px;
  padding: 2px;
  color: rgb(148, 148, 148);
}
